@media (min-width: 913px){
    .bodyBar{
      padding: 120px 0px 20px 0px;
      display: flex; 
      justify-content: center;
    }
  
    .courseTop {
      display: flex;
      width: 600px;
      justify-content: center;
      margin: auto;
    }
    #courseWriteURL{
      color: white;
      width: 110px;
    }
    .courseWrite {
      margin: 0px 20px 0px 0px; 
      background-color: royalblue;
      padding: 10px;
      width: 110px;
      align-items: center;
      
      border-radius: 10px;
    }
    #selectSubject{
      margin-right: 25px;
      border-radius: 20px 20px 20px 20px;
      width:300px; 
      height: 50px; 
      font-size: larger;
    }
    #selectCode {
      border-radius: 20px 20px 20px 20px;
      width:300px; 
      height: 50px; 
      font-size: larger;
    }
  
    .cards{
      padding: 10px;
    }
    .card {
      border: 4px solid gray;
      border-radius: 20px 20px 20px 20px;
      min-height: 300px;
      width: 900px;
      margin-right: 10px;
      /* position: relative; */
      text-align: left;
      font-family: arial;
    
    }
      
    /* On mouse-over, add a deeper shadow */
    .card:hover {
      box-shadow: 8px 8px 8px 8px rgba(0,0,0,0.3);
    }
      
  
    /* Add some padding inside the card container */
    .top {
      padding: 5px 16px;
      padding: 40px 30px 0px 40px;
      display: flex;
    }
    
    .subject{
      font-weight: 550;
      font-size: 22px;
      width: 10%;
    }
    
    .classcode{
      font-weight: 550;
      font-size: 22px;
      width: 10%;
    }
    .courseName{
      width: 55%;
    }
    h4.date{
      width: 25%;
    }
    p.date{
      font-size: 15px;
      margin: 0px;
      width: 20%;
    }
    h4.author{
      padding-left: 40px;
      width: 400px;
      font-weight: 400;
      font-size: 22px;
    }
    p.author{
      font-weight: 400;
      font-size: 18px;
      width: 550px;
      padding-left: 40px;
      padding-right: 20px;
      margin: 0px;
    }
    
    .authors{
      display: flex;
      padding-left: 50px;
      max-height: 40px;
    }
    
    .textBox{
      border: 1px solid gray;
      border-radius: 20px 20px 20px 20px;
      margin: auto;
      padding-left: 50px;
      padding-right: 50px;
      width: 800px;
      min-height: 100px;
    }
    
    .comments{
      padding: 0px;
    }
  
    
    input {
      margin-left:10px;
      width: 80%;
      height: 40px;
    }
    
    .writeComment {
      width: 892px;
      display: flex;
      justify-content: center;
      align-items: center;
      padding-bottom: 20px;
      margin: auto;
    }
    
    /* flex for update and delete buttons */
    .twoRow {
      display: flex;
      flex-direction: row;
      justify-content: center;
      margin: 25px auto;
    }
    
    .updateAndDelete {
      padding-top: 30px;
      display: none;
      flex-direction: column;
    }
    
    .updateCourse, .deleteCourse {
      padding-top: 20px;
      position: relative;
      display: inline-block;
      cursor: pointer;
    }
  
    .commentDetail{
      display: flex;
      flex-direction: column;
      align-content: last baseline;
      width: 892px;
      min-height: 30px;
    }
    .commentReplyBtn,
    .commentDeleteBtn,
    .commentEditBtn{
      position: relative;
      display: inline-block;
      cursor: pointer;
    }
    
    .icon-text {
      padding-top: 20px;
      position: absolute;
       /* 텍스트를 아이콘 위에 표시하도록 조정 */
      left: 50%;
      
      transform: translateX(-50%);
      background-color: #333;
      color: #fff;
      padding: 5px;
      border-radius: 3px;
      opacity: 0; /* 처음에는 텍스트 숨김 */
      transition: opacity 0.3s ease-in-out;
      font-size: medium;
    }
    
    .courseCommentContent{
      font-size: small;
      width: 800px;
      word-wrap: break-word;
      padding-left: 100px;
      margin: auto;
      max-height: 300px;
    }
    
    .courseCommentEditBox{
      width: 400px;
    }
    
    /* Heart button and Comment button in Course page */
    .heartCommentBtn {
      
      margin-left: 90px;
      display: flex;
    }
    .clickHeart, .clickComment{
      background: transparent;
      border: none;
      cursor: pointer;
      display: flex;
      align-items: center;
      gap: 0.2rem;
      font-size: 1.5rem;
      color: #333;
    }
    
    /* comment edit input area*/
    .editArea{
      width:892px;
      display:none;
      align-items: center;
    }
    
    .editArea.display{
      display: flex;
      justify-content: center;
    }
    .editArea .editBox{
      width: 100%;
      resize:none;
      height: 100px;
    }
    .editBtns button{
      display:block;
    }
    
    .courseCommentEditBox{
      width: 750px;
    }
  }